Skip to content

System Commands

Initiates a delayed device reboot.

POST /api/cmd/reboot/

Request Parameters:

FieldTypeDescription
rebootSecintegerDelay before reboot, from 0 to 180 seconds.

Example Request:

{
"rebootSec": 3
}

Sets the device time immediately.

POST /api/cmd/time/set/

Request Parameters:

FieldTypeDescription
timestringTime in ISO 8601 format relative to UTC0.

Example Request:

{
"time": "2025-05-15T16:50:27"
}

Immediately synchronizes device time with NTP servers specified in settings.

POST /api/cmd/time/sync/

Example Request:

{}

Sends an activation request via WireGuard interface. Supported only with active WireGuard connection.

POST /api/activation/

Request Parameters:

FieldTypeDescription
activationobjectActivation data object.
infrastructureNamestringInfrastructure name.
infrastructureShortUrlstringShort URL to infrastructure site.
domainstringServer address used for activation.
endpointIdstringUnique device identifier.
endpointNamestringDevice name.
propertyIdstringOrganization identifier.
propertyNamestringOrganization name.
pinstring8-digit device PIN code.
hasBonusesEurstringBonus amount on organization account.
activeTillstring / nullActivation expiration date (ISO 8601, UTC), or null to reset activation.
supportEmailstringSupport service email.